Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 967356

Summary: [RFE] ability to z-stream subset of a package rpm's
Product: Red Hat Enterprise Virtualization Manager Reporter: Itamar Heim <iheim>
Component: ovirt-engine-setupAssignee: Sandro Bonazzola <sbonazzo>
Status: CLOSED DEFERRED QA Contact: Pavel Stehlik <pstehlik>
Severity: low Docs Contact:
Priority: medium    
Version: 3.1.0CC: aburden, acathrow, bazulay, iheim, jkt, lyarwood, mgoldboi, Rhev-m-bugs, sbonazzo, yeylon
Target Milestone: ---Keywords: FutureFeature, Triaged
Target Release: 3.5.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: integration
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 975656 (view as bug list) Environment:
Last Closed: 2014-06-12 17:10:18 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 975656, 978700, 978701, 978702, 978703, 1142923, 1156165    

Description Itamar Heim 2013-05-26 19:37:39 UTC
Today we can only build "all of" engine package.
this feature is about allowing to build a subset of the rpms, thus providing errata with a "package", but with a partial set of rpms.

goal is to be able to z-stream only a subset of the rpms when critical fixes are needed in a focused way.

Comment 4 yeylon@redhat.com 2013-06-27 20:18:49 UTC
after talking to moran it is an internal thing of the build system they will verify the bug

Comment 6 Itamar Heim 2013-11-30 19:23:56 UTC
the 3rd party dependencies are in a different package now.
we're working on moving the ui to be based on the REST API, which will enable making it a separate package as well.

Comment 9 Itamar Heim 2014-06-12 17:10:18 UTC
i think we are as good as we'll get now till we split the gui. closing.